Package org.bukkit.event.player

# Class PlayerSwapHandItemsEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.player.PlayerEvent
org.bukkit.event.player.PlayerSwapHandItemsEvent

All Implemented Interfaces:
  `Cancellable`

public class PlayerSwapHandItemsEvent extends PlayerEvent implements Cancellable
Called when a player swap items between main hand and off hand using the hotkey.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.player.PlayerEvent

`player`

## Constructor Summary

Constructors
Constructor
Description
`PlayerSwapHandItemsEvent(@NotNull Player player, @NotNull ItemStack mainHandItem, @NotNull ItemStack offHandItem)`

## Method Summary

Modifier and Type
Method
Description
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@Nullable ItemStack`
`getMainHandItem()`
Gets the item switched to the main hand.
`@Nullable ItemStack`
`getOffHandItem()`
Gets the item switched to the off hand.
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.
`void`
`setMainHandItem(@Nullable ItemStack mainHandItem)`
Sets the item in the main hand.
`void`
`setOffHandItem(@Nullable ItemStack offHandItem)`
Sets the item in the off hand.

### Methods inherited from class org.bukkit.event.player.PlayerEvent

`getPlayer`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlayerSwapHandItemsEvent

public PlayerSwapHandItemsEvent(@NotNull @NotNull Player player, @NotNull @NotNull ItemStack mainHandItem, @NotNull @NotNull ItemStack offHandItem)

## Method Details

### getMainHandItem

@Nullable public @Nullable ItemStack getMainHandItem()
Gets the item switched to the main hand.

Returns:
  item in the main hand

### setMainHandItem

public void setMainHandItem(@Nullable @Nullable ItemStack mainHandItem)
Sets the item in the main hand.

Parameters:
  `mainHandItem` - new item in the main hand

### getOffHandItem

@Nullable public @Nullable ItemStack getOffHandItem()
Gets the item switched to the off hand.

Returns:
  item in the off hand

### setOffHandItem

public void setOffHandItem(@Nullable @Nullable ItemStack offHandItem)
Sets the item in the off hand.

Parameters:
  `offHandItem` - new item in the off hand

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()